Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	music production and creation software
Name:      	wired
Version:   	0.6
Release:   	1
License: 	GNU/GPL
URL:		http://wired.epitech.net/
Group:     	Multimedia	
Source0: 	wired-%{version}.tar.gz
Source1:	wired.desktop
Source2:	wired.png
Patch0:		wired-gcc42.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  flac-devel
BuildRequires:  soundtouch-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  glibc-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  portaudio-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libstdc++-devel
BuildRequires:  wxGTK-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel libsamplerate-devel

%description
Wired is a professional music production and creation software. It brings musicians a complete studio environment to compose, record, edit, and mix music without the need of expensive hardware. Wired supports unlimited playback and recording for audio/MIDI tracks, and introduces a plugin system for instruments and effects. It handles live instruments (through sound card analog or MIDI inputs), virtual instruments, and sound effects. It manages the most used plug-in types (VST, VSTi, LADSPA, etc.). It is composed of racks, a sequencer and a mixer.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig


%prep
%setup -n %{name}-%{version}
#%patch0 -p1

%build
./autogen.sh
./configure	--prefix=%{_prefix} \
		--mandir=%{_mandir} \
		--sysconfdir=%{_sysconfdir} \
		--infodir=%{_infodir} \
		--disable-portaudio
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/applications/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_datadir/applications/
mkdir -p $RPM_BUILD_ROOT%_pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_pixmaps

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_datadir/wired
%_datadir/locale
%_libdir/*.so
%_libdir/wired/*.so
%_datadir/applications
%_datadir/pixmaps

%files devel
%defattr(-,root,root)
%_libdir/*.la
%_libdir/wired/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6-1
- Version update
* Sun Oct 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.5.1-1
- Version update
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 0.4alpha-2
- rebuild against latest libs
* Mon Nov 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.4alpha-1
- Initial Release
